import cn from 'classnames';
import React from 'react';
import styles from "./index.module.scss";
var Button = function Button(props) {
  var className = props.className,
    style = props.style,
    children = props.children,
    icon = props.icon,
    disabled = props.disabled,
    onClick = props.onClick;
  var handleBtnClick = function handleBtnClick() {
    if (disabled) return;
    onClick === null || onClick === void 0 ? void 0 : onClick();
  };
  return /*#__PURE__*/React.createElement("div", {
    className: cn(styles.btn, className),
    style: style,
    onClick: handleBtnClick
  }, icon, children !== null && children !== void 0 ? children : '按钮');
};
export default Button;