import type { FormInstance, ModalFuncProps } from 'antd';
import { FC } from 'react';
type Callback = (values: Record<string, any>, hide: () => void, core: FormInstance) => void;
interface Props extends ModalFuncProps {
    /**
     * @description 是否展示加载中
     * @type boolean
     */
    spin?: boolean;
    /**
     * @description 点击确认按钮的回调
     * @type Callback
     */
    onOk?: Callback;
    /**
     * @description 点击取消按钮的文案
     * @type Callback
     */
    onCancel?: Callback;
    /**
     * @description 是否是表单内容
     * @type boolean
     */
    isFormCont?: boolean;
}
declare const Dialog: FC<Props>;
export default Dialog;
export type { Props as DialogProps };
