function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import cn from 'classnames';
import { Button, Pagination, usePagination } from "./..";
import Table from 'rc-table';
import React from 'react';
import styles from "./index.module.scss";
var TablePage = function TablePage(props) {
  var footer = props.footer,
    columns = props.columns,
    extra = props.extra,
    tableClassName = props.tableClassName,
    tableProps = props.tableProps,
    btnProps = props.btnProps,
    requestInfo = props.requestInfo,
    className = props.className,
    style = props.style;
  var _usePagination = usePagination(requestInfo),
    dataSource = _usePagination.dataSource,
    current = _usePagination.current,
    pageSize = _usePagination.pageSize,
    total = _usePagination.total,
    getData = _usePagination.fetch;
  var handlePaginationChange = function handlePaginationChange(page, pageSize) {
    getData({
      current: page,
      pageSize: pageSize
    });
  };
  return /*#__PURE__*/React.createElement("div", {
    className: cn('table-page-container', styles.container, className),
    style: style
  }, /*#__PURE__*/React.createElement("div", {
    className: cn('table-page-container-card', styles.card)
  }, extra ? extra : /*#__PURE__*/React.createElement("div", {
    className: styles.btnWrap
  }, /*#__PURE__*/React.createElement(Button, _extends({
    icon: '+'
  }, btnProps), "\xA0\xA0\u65B0\u589E\u6570\u636E")), /*#__PURE__*/React.createElement("div", {
    className: styles.content
  }, /*#__PURE__*/React.createElement(Table, _extends({
    className: tableClassName,
    data: dataSource,
    columns: columns
  }, tableProps))), !footer ? /*#__PURE__*/React.createElement(Pagination, {
    total: total,
    pageSize: pageSize,
    current: current,
    onChange: handlePaginationChange
  }) : footer));
};
export default TablePage;